<?php

namespace App\Modules\User\Application\SearchBookingReport;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class SearchBookingByTourUserQuery implements Query
{
    public function __construct(
        private int $idUser,
        private string $dateStart,
        private string $dateEnd
    ) {
    }

    public function idUser(): int
    {
        return $this->idUser;
    }

    public function dateStart(): string
    {
        return $this->dateStart;
    }

    public function dateEnd(): string
    {
        return $this->dateEnd;
    }
}
